cascading.flow.hadoop.planner.rule.expression

## Class BalanceGroupSplitJoinExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.hadoop.planner.rule.expression.BalanceGroupSplitJoinExpression

    public class BalanceGroupSplitJoinExpression
    extends RuleExpression

### Field Summary

Fields
`static FlowElementExpression` `SHARED_GROUP`
`static ElementExpression` `SHARED_JOIN`

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`BalanceGroupSplitJoinExpression()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHARED_GROUP

    public static final FlowElementExpression SHARED_GROUP

#### SHARED_JOIN

    public static final ElementExpression SHARED_JOIN

### Constructor Detail

#### BalanceGroupSplitJoinExpression

    public BalanceGroupSplitJoinExpression()